org.hibernate.validator.internal.metadata.descriptor

## Class PropertyDescriptorImpl

- java.lang.Object
- - org.hibernate.validator.internal.metadata.descriptor.ElementDescriptorImpl
  - - org.hibernate.validator.internal.metadata.descriptor.PropertyDescriptorImpl

- All Implemented Interfaces:
    Serializable, CascadableDescriptor, ElementDescriptor, PropertyDescriptor

      public class PropertyDescriptorImpl
      extends ElementDescriptorImpl
      implements PropertyDescriptor

  Describes a validated property.
  Author:
    Emmanuel Bernard, Hardy Ferentschik
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.validation.metadata.ElementDescriptor

      `ElementDescriptor.ConstraintFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyDescriptorImpl(Type returnType, String propertyName, Set<ConstraintDescriptorImpl<?>> constraints, boolean cascaded, boolean defaultGroupSequenceRedefined, List<Class<?>> defaultGroupSequence, Set<GroupConversionDescriptor> groupConversions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<GroupConversionDescriptor>` | `getGroupConversions()`
    `String` | `getPropertyName()`
    `boolean` | `isCascaded()`
    `String` | `toString()`

    - ### Methods inherited from class org.hibernate.validator.internal.metadata.descriptor.ElementDescriptorImpl

      `findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.validation.metadata.ElementDescriptor

      `findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

- - ### Constructor Detail

    - #### PropertyDescriptorImpl

          public PropertyDescriptorImpl(Type returnType,
                                String propertyName,
                                Set<ConstraintDescriptorImpl<?>> constraints,
                                boolean cascaded,
                                boolean defaultGroupSequenceRedefined,
                                List<Class<?>> defaultGroupSequence,
                                Set<GroupConversionDescriptor> groupConversions)

  - ### Method Detail

    - #### isCascaded

          public boolean isCascaded()

      Specified by:
        `isCascaded` in interface `CascadableDescriptor`

    - #### getGroupConversions

          public Set<GroupConversionDescriptor> getGroupConversions()

      Specified by:
        `getGroupConversions` in interface `CascadableDescriptor`

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `PropertyDescriptor`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved